Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Resource Pool

GET
/topology/v1/resource-pools/{id}
curl --request GET \
--url https://example.com/topology/v1/resource-pools/example

Returns a resource pool by its unique identifier.

id
required
string

The unique identifier of the resource pool to retrieve

OK

Media type application/json

Resource Pool

Represents a resource pool within a zone in the Qibdo Cloud topology. A resource pool groups deployment targets (physical hosts) for resource management and scheduling.

object
id

The unique identifier of the resource pool

stringOutput only
zone_id

The unique identifier of the parent zone. Supplied on create (the flat collection’s parent reference), immutable thereafter.

string
name
required

The display name of the resource pool (RFC 1035 DNS label)

string
created

The timestamp when the resource pool was created

string format: date-time Output only
updated

The timestamp when the resource pool was last updated

string format: date-time Output only
label_selector
required

Label Selector

Defines pool membership over DeploymentTargets. A DeploymentTarget belongs to this pool iff its Kubernetes label map contains every key in match_labels with the matching value. matchLabels-only for the alpha; matchExpressions is reserved for future use.

object
match_labels
required

Required labels and their values. A DeploymentTarget matches iff every key is present in its label map with the matching value.

object
key
additional properties
string
Example generated
{
"zone_id": "example",
"name": "example",
"label_selector": {
"match_labels": {
"additionalProperty": "example"
}
}
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}